/**************************************************************************
 *                                                                        *
 *                       This file is part of PSReg                       *
 *                                                                        *
 *          Copyright (C) 2002 Ko Nishino. All Rights Reserved.           *
 *                                                                        *
 *  Permission to use this software for educational and research purposes *
 * is hereby granted without fee. All other rights, including the rights  *
 * to distribute, modify, or sell the software, are explicitly reserved   *
 * by the author. Please contact the author if you wish to make any       *
 * modifications or additions to the software.                            *
 *                                                                        *
 *  This software is provided "as is" and without warranty of any kind,   *
 * express, implied or otherwise, including without limitation, any       *
 * warranty of merchantability or fitness for a particular purpose.       *
 *                                                                        *
 **************************************************************************/
/*  
 *  KDefs.h
 *          Ko Nishino 
 *               kon@cvl.iis.u-tokyo.ac.jp
 *               http://www.cvl.iis.u-tokyo.ac.jp/~kon/
 */

#ifndef _KDEFS_H_

#ifndef _PTHREADS
#define _PTHREADS
#endif

/* For VC++  */
#ifdef VC

#ifndef W32
#define W32
#endif // W32

#ifndef for
#define for if (0) {} else for
#endif
#include <windows.h>
#pragma warning(disable: 4244)
#pragma warning(disable: 4305)
#pragma warning(disable: 4786)
#pragma warning(disable: 4800)

#endif // VC

#ifndef PI
//#define PI ((float)3.14159265358979323846)
const int PI = 3.14159265358979323846;
#endif
#ifndef DEG2RAD
#define DEG2RAD (3.14159265358979323846/180.0)
#endif
#ifndef MAXFLOAT
#define MAXFLOAT        ((float)3.40282346638528860e+38)
#endif
#include "basecolors.h"
#define KEPSILON 1.0e-7
#define LARGE_INT 1000

#endif // _KDEFS_H_
